Questo sito utilizza cookies, anche di terze parti, per mostrare pubblicità e servizi in linea con il tuo account. Leggi l'informativa sui cookies.
Username: Password: oppure
Javascript - Problema compatibilità script js (risolto)
Forum - Javascript - Problema compatibilità script js (risolto)

Avatar
giocala88 (Normal User)
Expert


Messaggi: 248
Iscritto: 23/04/2008

Segnala al moderatore
Postato alle 15:51
Venerdì, 31/05/2013
Salve ragazzi implementando una pagina web in php e html mi sono accorto di una incompatibilità tra lo script jquery-1.3.2.js e lo script jquery.min.js. In pratica il primo mi serve per gestire un form in ajax, il secondo per refresciare un div ogni 2 secondi. I due script devono risiedere nella stessa pagina html. Ho notato inoltre che l'ultimo script posizionato tra i tag <head></head> (ad es.  jquery-1.3.2.js)  permette l'operazione di gestione del form, omettendo quella del refresh e viceversa.
Soluzioni a riguardo???? Grazie

Ultima modifica effettuata da giocala88 il 31/05/2013 alle 16:14
PM Quote
Avatar
giocala88 (Normal User)
Expert


Messaggi: 248
Iscritto: 23/04/2008

Segnala al moderatore
Postato alle 16:14
Venerdì, 31/05/2013
Come non detto ...risolto con questa guida http://www.mrwebmaster.it/jquery/evitare-conflitti-altre-l ... :)

PM Quote
Avatar
tasx (Dev Team)
Expert


Messaggi: 439
Iscritto: 15/12/2008

Segnala al moderatore
Postato alle 17:21
Venerdì, 31/05/2013
Ciao!

ehm... non so la versione del secondo file... ma guarda che sono lo stesso script(il secondo è la versione minified, ovvero senza spazi, commenti, \n\r, nomi variabili e funzioni "compressi", etc...)... quindi a meno che tu non abbia bisogno della versione 1.3.2 ti consiglierei di usare il secondo...(ovviamente aggiorna alla 2.x.x, ricordati che però così rischi che la tua pagina non vada su ie 6-7-8, mentre se vuoi mantenere la compatibilità aggiorna alla 1.9.x)...

ciao!


... sei un proxy che perde i pacchetti ...
PM Quote